#include <sourcemod>
#include <sdkhooks>
#include <cmod>

new bool:active[MAXPLAYERS+1];
new numberMedic[MAXPLAYERS+1];

public Plugin:myinfo =
{
	name = "Cmod item: Tajemnica sanitariusza",
	author = "PLX",
	description = "std item",
	version = "0.1",
	url = "http://steamcommunity.com/id/plx211"
};

public OnPluginStart()
{
	RegisterItem("Tajemnica sanitariusza", "Dostajesz 2 apteczki");
}

public eventPlayerSpawn(Handle:event, const String:name[], bool:dontBroadcast)
{
	new userID = GetClientOfUserId(GetEventInt(event, "userid"));
	if(active[userID])
		numberMedic[userID] = 3;
}

public OnItemEnabled(id)
{
	numberMedic[id] = 2;
	active[id] = true;
}

public OnItemDisabled(id)
{
	numberMedic[id] = 0;
	active[id] = false;
}

public OnPlayerUseItem(id)
{
	if(IsClientInGame(id) && IsPlayerAlive(id)){
		if(numberMedic[id]){
			decl medic, health, maxHealth;
			health = GetEntData(id, FindDataMapOffs(id, "m_iHealth"), 4);
			maxHealth = GetEntData(id, FindDataMapOffs(id, "m_iMaxHealth"), 4);
			medic = 10 + (GetInt(id)/4);
			if(health < maxHealth){
				if((health + medic) > maxHealth)
					medic = maxHealth;
				else
					medic += health;
				SetEntData(id, FindDataMapOffs(id, "m_iHealth"), medic, 4, true);
				--numberMedic[id];
				PrintToChat(id, "\x01\x0B\x01 \x07%s \x06Uleczyłeś się, zostało ci \x03%d \x06uleczeń", MOD_TAG, numberMedic[id]);
			}else{
				PrintToChat(id, "\x01\x0B\x01 \x07%s \x06Posiadasz pełne hp", MOD_TAG);
			}
		}else{
			PrintToChat(id, "\x01\x0B\x01 \x07%s \x06Wykorzystałeś już wszystkie uleczenia!", MOD_TAG);
		}
	}
}
